unit GoLineUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ComCtrls, SynEdit;

type
  TGoLine = class(TForm)
    GroupBox: TGroupBox;
    LabelNo: TLabel;
    edNo: TEdit;
    UpDownNo: TUpDown;
    btnNo: TBitBtn;
    cbxMark: TCheckBox;
    procedure btnNoClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  GoLine: TGoLine;

implementation

{$R *.dfm}

uses MainUnit;

procedure TGoLine.btnNoClick(Sender: TObject);
var
   x:integer;
   m:TSynEditMark;
begin
    m:=TSynEditMark.Create;
    m.Line:=UpDownNo.Position;
    m.BookmarkNumber:=m.BookmarkNumber+1;
    m.Visible:=true;
    ActivePage.Frame.Edit.TopLine:=UpDownNo.Position;
    ActivePage.Frame.Edit.CaretY:=UpDownNo.Position;
    Windows.SetFocus(ActivePage.Frame.Edit.Handle);
    x:=ActivePage.Frame.Edit.RowColToCharIndex(ActivePage.Frame.Edit.CaretXY);
    ActivePage.Frame.Edit.SelStart:=x;
    ActivePage.Frame.Edit.SelEnd:=x+length(ActivePage.Frame.Edit.LineText);
    if cbxMark.Checked then ActivePage.Frame.Edit.Marks.Add(m)
end;

procedure TGoLine.FormShow(Sender: TObject);
begin
    GroupBox.Caption:=format('Max: %d',[ActivePage.Frame.Edit.Lines.Count-1]);
end;

end.
