unit ResultUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, SynEdit, SynEditHighlighter, SynHighlighterGeneral, Menus;

type
  TResults = class(TForm)
    Edit: TSynEdit;
    General: TSynGeneralSyn;
    PopupMenu: TPopupMenu;
    menuIntegrateinShrimp: TMenuItem;
    procedure menuIntegrateinShrimpClick(Sender: TObject);
    procedure PopupMenuPopup(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure Integrate(v:boolean);
  end;

var
  Results: TResults;

implementation

{$R *.dfm}

uses MainUnit;

procedure TResults.Integrate(v:boolean);
begin
   if v then begin
      Results.Align:=alBottom;
      Results.Parent:=Main.PageControl;
      SetWindowLong(Results.Edit.Handle,gwl_style,GetWindowLong(Results.Edit.Handle,gwl_style) and not SBS_SIZEGRIP)
   end else begin
      Results.Align:=alNone;
      Results.Parent:=nil;
      SetWindowLong(Results.Edit.Handle,gwl_style,GetWindowLong(Results.Edit.Handle,gwl_style) or SBS_SIZEGRIP)
   end;
   
end;

procedure TResults.menuIntegrateinShrimpClick(Sender: TObject);
begin
   Integrate(TMenuItem(sender).Checked);
   Launcher.IntegrateIn:=TMenuItem(sender).Checked;
end;

procedure TResults.PopupMenuPopup(Sender: TObject);
begin
    menuIntegrateinShrimp.Checked:=Results.Parent<>nil;
end;

end.
